#
# spec file for package perl-XML-XSLT
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-XML-XSLT
BuildRequires:  perl-XML-DOM perl-XML-Parser perl-libwww-perl
BuildRequires:  perl-macros
Version:        0.48
Release:        202.1
Requires:       perl-XML-Parser perl-XML-DOM perl-libwww-perl perl-URI perl-XML-RegExp
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic-1.0
Url:            http://cpan.org/modules/by-module/XML/
Summary:        Perl module XML::XSLT
Source:         XML-XSLT-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This is a Perl module to parse XSL Transformational sheets.



Authors:
--------
    Geert Josten <gjosten@sci.kun.nl>
    Egon Willighagen <egonw@sci.kun.nl>

%prep
%setup -n XML-XSLT-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
chmod 755 examples
chmod 644 README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog README examples
%doc %{_mandir}/man?/*
%{perl_vendorlib}/XML/*
%{perl_vendorarch}/auto/XML/XSLT/
%{_bindir}/*

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 26 2004 mjancar@suse.cz
- update to 0.48
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- don't package MANIFEST
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Tue Jul 23 2002 prehak@suse.cz
- update to version 0.40
- added perl-Test-Simple to neededforbuild
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jun 25 2002 prehak@suse.de
- correct permissions of examples directories
* Fri Aug 17 2001 rvasice@suse.cz
- added perl-XML-RegExp and perl-HTML-Parser to neededforbuild
- spec file cleanup
* Thu Aug 16 2001 ro@suse.de
- added expat to neededforbuild
* Mon Apr  9 2001 cihlar@suse.cz
- initial version 0.32
